package com.kingdee.eas.custom.integration.feishu;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class FeishuApprovalsManagerCollection extends AbstractObjectCollection 
{
    public FeishuApprovalsManagerCollection()
    {
        super(FeishuApprovalsManagerInfo.class);
    }
    public boolean add(FeishuApprovalsManagerInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(FeishuApprovalsManagerCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(FeishuApprovalsManagerInfo item)
    {
        return removeObject(item);
    }
    public FeishuApprovalsManagerInfo get(int index)
    {
        return(FeishuApprovalsManagerInfo)getObject(index);
    }
    public FeishuApprovalsManagerInfo get(Object key)
    {
        return(FeishuApprovalsManagerInfo)getObject(key);
    }
    public void set(int index, FeishuApprovalsManagerInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(FeishuApprovalsManagerInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(FeishuApprovalsManagerInfo item)
    {
        return super.indexOf(item);
    }
}